/*
	$Id: ListNode.c 115 2006-03-06 01:12:33Z syl $

	Copyright (C) 2006 Syllabub
	Maroontress Fast Software.
*/

#include <stdlib.h>
#include "ListNode.h" /* <impl/ListNode.h> */

struct impl_ListNode *
impl_ListNode_create(union ListElement *value)
{
    struct impl_ListNode *node;

    if ((node = (struct impl_ListNode *)malloc(sizeof(*node))) == NULL)
	return NULL;
    node->next = NULL;
    node->value = value;
    return node;
}

void
impl_ListNode_free(struct impl_ListNode *node)
{
    free(node);
}
